| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Accumulators::BufferableCounter< Arithmetic, Atomicity, Accumulator > Struct Template Reference

An empty ancester of all counters that provides a buffer method that returns a buffer on itself. More...

`#include <GaudiKernel/Counters.h>`

Inheritance diagram for Gaudi::Accumulators::BufferableCounter< Arithmetic, Atomicity, Accumulator >:
[legend]
Collaboration diagram for Gaudi::Accumulators::BufferableCounter< Arithmetic, Atomicity, Accumulator >:
[legend]

## Public Member Functions
Buffer< Arithmetic, Accumulator > | buffer ()
| PrintableCounter ()=default
template<class OWNER >
| PrintableCounter (OWNER *o, const std::string &tag)
Public Member Functions inherited from Gaudi::Accumulators::PrintableCounter
| PrintableCounter ()=default
template<class OWNER >
| PrintableCounter (OWNER *o, const std::string &tag)
virtual | ~PrintableCounter ()=default
| destructor More...
template<typename stream >
stream & | printImpl (stream &s, const std::string &tag) const
virtual std::ostream & | print (std::ostream &, bool tableFormat=false) const =0
| prints the counter to a stream More...
virtual MsgStream & | print (MsgStream &, bool tableFormat=true) const =0
virtual std::ostream & | print (std::ostream &o, const std::string &tag) const
| prints the counter to a stream in table format, with the given tag More...
virtual MsgStream & | print (MsgStream &o, const std::string &tag) const
virtual bool | toBePrinted () const
| hint whether we should print that counter or not. More...
std::string | toString () const
| get a string representation More...

## Detailed Description

### template<typename Arithmetic, atomicity Atomicity, template< typename Int, atomicity Ato > class Accumulator>
struct Gaudi::Accumulators::BufferableCounter< Arithmetic, Atomicity, Accumulator >

An empty ancester of all counters that provides a buffer method that returns a buffer on itself.

See also
  Gaudi::Accumulators for detailed documentation

Definition at line 643 of file Counters.h.

## Member Function Documentation

## ◆ buffer()

template<typename Arithmetic, atomicity Atomicity, template< typename Int, atomicity Ato > class Accumulator>

Buffer<Arithmetic, Accumulator> Gaudi::Accumulators::BufferableCounter< Arithmetic, Atomicity, Accumulator >::buffer | ( |  | ) |
| inline

Definition at line 645 of file Counters.h.

645 { return {*static_cast<Accumulator<Arithmetic, Atomicity>*>( this )}; }

## ◆ PrintableCounter() [1/2]

template<typename Arithmetic, atomicity Atomicity, template< typename Int, atomicity Ato > class Accumulator>
template<class OWNER >

Gaudi::Accumulators::PrintableCounter::PrintableCounter | ( | class OWNER |  | ) |
| inline

Definition at line 604 of file Counters.h.

604 {
605 o->declareCounter( tag, *this );
606 }

## ◆ PrintableCounter() [2/2]

template<typename Arithmetic, atomicity Atomicity, template< typename Int, atomicity Ato > class Accumulator>

Gaudi::Accumulators::PrintableCounter::PrintableCounter
| default

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Counters.h